sm.mapInfo->mapHeader->triggeredEvents.clear(); This made it kind a work when compiled with Clang and otherwise pregame netpacks failed to apply and caused 4GB RAM a"> sm.mapInfo->mapHeader->triggeredEvents.clear(); This made it kind a work when compiled with Clang and otherwise pregame netpacks failed to apply and caused 4GB RAM a">
MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002544VCMIMultiplayerpublic2016-10-03 19:532016-11-01 16:29
ReporterSXX 
Assigned ToIvan 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98g 
Target VersionFixed in Version0.99 
Summary0002544: Multiplayer pregame: Too big length with different compilers
DescriptionSo few weeks ago I make multiplayer kinda work again, but with really dirty hack that you can find on "CPreGame.cpp:728":
sm.mapInfo->mapHeader->triggeredEvents.clear();

This made it kind a work when compiled with Clang and otherwise pregame netpacks failed to apply and caused 4GB RAM allocation and freeze

As @AVS said there is some problem with serialization that can be easier to fix if we merge refactored serializer.

My suggestion for fixing: we must not only rewrite this code, but completely get rid of single player server-less lobby. There is absolutely no reason why we would wanna maintain two different implementations if single player can work just fine with multiplayer code.

So for single-player client must start or connect to server before you get to map selection or loading screen. Of course this mean we have to implement multiplayer loading screen too.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002100resolvedSXX Multiplayer load screen is missing 
related to 0002578resolvedAVS All campaigns is broken 

-  Notes
(0006870)
SXX (administrator)
2016-10-29 23:31

Fixed by Ivan in PR212:
https://github.com/vcmi/vcmi/pull/212 [^]
(0006876)
SXX (administrator)
2016-11-01 16:29

Fixed by Ivan in PR212:
https://github.com/vcmi/vcmi/pull/212 [^]

- Issue History
Date Modified Username Field Change
2016-10-03 19:53 SXX New Issue
2016-10-03 19:54 SXX Relationship added related to 0002100
2016-10-24 10:31 SXX Relationship added related to 0002578
2016-10-29 23:31 SXX Note Added: 0006870
2016-11-01 16:29 SXX Note Added: 0006876
2016-11-01 16:29 SXX Status new => resolved
2016-11-01 16:29 SXX Fixed in Version => 0.99
2016-11-01 16:29 SXX Resolution open => fixed
2016-11-01 16:29 SXX Assigned To => Ivan

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean